commit:     aee8f29bb79a9ac24bef40157b7777e50b2bd47b
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Sun Dec 18 12:06:15 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 14:22:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aee8f29b

www-apps/kibana-bin: allow to store uuid

 www-apps/kibana-bin/files/kibana.initd-r4      | 19 ++++++++
 www-apps/kibana-bin/kibana-bin-5.0.1-r1.ebuild | 67 ++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/www-apps/kibana-bin/files/kibana.initd-r4 
b/www-apps/kibana-bin/files/kibana.initd-r4
new file mode 100644
index 00000000..35c9239
--- /dev/null
+++ b/www-apps/kibana-bin/files/kibana.initd-r4
@@ -0,0 +1,19 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+KIBANA_USER=${KIBANA_USER:-kibana}
+KIBANA_CONFIG=${KIBANA_CONFIG:-/etc/kibana/kibana.yml}
+
+command="/opt/kibana/bin/kibana"
+command_args="--elasticsearch ${ES_INSTANCE} --config ${KIBANA_CONFIG}"
+
+pidfile="/run/kibana.pid"
+command_background="true"
+start_stop_daemon_args="--user=\"${KIBANA_USER}\" --stdout 
/var/log/kibana/kibana.log --stderr /var/log/kibana/kibana.err"
+
+start_pre() {
+       checkpath -d -o "${KIBANA_USER}" -m750 "/var/log/kibana"
+       checkpath -f -o "${KIBANA_USER}" -m644 
"/opt/kibana/optimize/.babelcache.json"
+       checkpath -f -o "${KIBANA_USER}" -m644 "/opt/kibana/data/uuid"
+}

diff --git a/www-apps/kibana-bin/kibana-bin-5.0.1-r1.ebuild 
b/www-apps/kibana-bin/kibana-bin-5.0.1-r1.ebuild
new file mode 100644
index 00000000..1fd8529
--- /dev/null
+++ b/www-apps/kibana-bin/kibana-bin-5.0.1-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit pax-utils user
+
+MY_PN="kibana"
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Explore and visualize data"
+HOMEPAGE="https://www.elastic.co/products/kibana";
+SRC_URI="amd64? ( 
https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}-linux-x86_64.tar.gz )
+       x86? ( 
https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}-linux-x86.tar.gz )"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RESTRICT="strip"
+QA_PREBUILT="opt/kibana/node/bin/node"
+
+pkg_setup() {
+       enewgroup ${MY_PN}
+       enewuser ${MY_PN} -1 -1 /opt/${MY_PN} ${MY_PN}
+}
+
+src_unpack() {
+       if use amd64; then
+               S="${WORKDIR}/${MY_P}-linux-x86_64"
+       elif use x86; then
+               S="${WORKDIR}/${MY_P}-linux-x86"
+       fi
+
+       default
+}
+
+src_install() {
+       keepdir /opt/${MY_PN}
+       keepdir /var/log/${MY_PN}
+       keepdir /etc/${MY_PN}
+
+       insinto /etc/${MY_PN}
+       doins config/*
+       rm -rf config || die
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/${MY_PN}.logrotate ${MY_PN}
+
+       newconfd "${FILESDIR}"/${MY_PN}.confd ${MY_PN}
+       newinitd "${FILESDIR}"/${MY_PN}.initd-r4 ${MY_PN}
+
+       mv * "${ED%/}"/opt/${MY_PN} || die
+
+       # bug 567934
+       pax-mark m "${ED%/}/opt/${MY_PN}/node/bin/node"
+}
+
+pkg_postinst() {
+       elog "This version of Kibana is compatible with Elasticsearch 5.0+"
+       elog
+       elog "Be sure to point ES_INSTANCE to your Elasticsearch instance"
+       elog "in /etc/conf.d/${MY_PN}."
+       elog
+       elog "Elasticsearch can run local or remote."
+}

Reply via email to